% -------------------------------------------------------------------------
% Launch LabVIEWMatlabComm first so that it is ready to listen
% Works with LabVIEWMatlabComm.vi. Run that first so that it is ready to listen when
% we send a message. Assumes the first 4 bytes of the message are the length of
% the message in ASCII and that the message is floating point numbers delimited by commas.
% Wait until it receives an 'Ack' message back from LabVIEW
% -------------------------------------------------------------------------
% Created from http://www.mathworks.com/matlabcentral/fileexchange/42567-matlab-and-labview-data-exchange-over-tcp-ip
% Modified to pre-pend the length the the xmit string and to return the
% received message as a string
% -------------------------------------------------------------------------
clear all; close all;

%connection settings
number_of_retries = 2; % set to -1 for infinite
port=2057; % This code use for communication "port" and "port+1"
host='localhost';
samplingrate=1000; %in ms

% Message formate is X,Y,Z,Pitch,Roll,Yaw,Gripper
for i = 1:3
        values_to_send = [400 0 -240 -90 0 -90 0]
    tic
    data_received=exchangeData(port,host,number_of_retries,samplingrate,Double2CSV(values_to_send))
    toc
end

