clear all
close all
clc

fig.f = figure('Position', [100 200 500 600], 'Name','Control','Resize','off','Menubar','None');

fig.frame = uicontrol('style','frame','position',[25 25 450 550]);
fig.start = uicontrol('Style','PushButton','String','Start','position',[150 100 200 50],'FontSize',15,'Callback','startRobot;');
fig.stop = uicontrol('Style','PushButton','String','Stop','position',[150 30 200 50],'FontSize',15,'Callback','UserData.stop = true;');

fig.modeTitle = uicontrol('Style','Text','String','Mode','FontSize',20,'Position',[150 440 80 50]);
fig.mode1 = uicontrol('Style','radiobutton','FontSize',20,'String',1,'Enable','on','Value',1,'Position',[270 450 100 50],'Callback','mode1');
fig.mode2 = uicontrol('Style','radiobutton','FontSize',20,'String',2,'Enable','on','Position',[320 450 100 50],'Callback','mode2');
fig.mode3 = uicontrol('Style','radiobutton','FontSize',20,'String',3,'Enable','on','Position',[370 450 100 50],'Callback','mode3');

fig.modeCTitle = uicontrol('Style','Text','String','Mode Command','FontSize',20,'position',[27 370 200 50]);
fig.modeCon = uicontrol('Style','radiobutton','FontSize',20,'String','+','Enable','on','Position',[270 380 100 50],'Callback','modeOn');
fig.modeCoff = uicontrol('Style','radiobutton','FontSize',20,'String','-','Enable','on','Position',[320 380 100 50],'Callback','modeOff');
fig.modeCrest = uicontrol('Style','radiobutton','FontSize',20,'String','Off','Enable','on','Value',1,'Position',[370 380 100 50],'Callback','modeRest');

fig.CTitle = uicontrol('Style','Text','String','Default Command','FontSize',20,'position',[27 300 200 50]);
fig.Con = uicontrol('Style','radiobutton','FontSize',20,'String','+','Enable','on','Position',[270 310 100 50],'Callback','commandOn');
fig.Coff = uicontrol('Style','radiobutton','FontSize',20,'String','-','Enable','on','Position',[320 310 100 50],'Callback','commandOff');
fig.Crest = uicontrol('Style','radiobutton','FontSize',20,'String','Off','Enable','on','Value',1,'Position',[370 310 100 50],'Callback','commandRest');

